<script lang="ts">
	import PokemonList from '$lib/components/pokemon/PokemonList.svelte';
	import { ProgressRadial } from '@skeletonlabs/skeleton';
	import { goto } from '$app/navigation';

	export let data;

	function onPokemonSelected({ detail }: { detail: string }) {
		goto(`/my_pokedex/${detail}`);
	}
</script>

{#await data.pokemon}
	<section class="flex flex-col items-center justify-center mt-10 gap-5">
		<ProgressRadial width="w-20" />
		<span class="font-bold text-2xl"> Loading Pokemon... </span>
	</section>
{:then pokemon}
	<section class="mt-10 mx-5">
		<PokemonList {pokemon} on:pokemonSelected={onPokemonSelected} />
	</section>
{:catch error}
	<p>Error loading pokemon data: {error.message}</p>
{/await}
